<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

class InscricaoPrograma extends Doctrine_Record
{
	function setTableDefinition()
	{
		$this->setTableName('saude.inscricao_programa');
		$this->hasColumn('idprograma','integer',NULL, array('notnull'));
		$this->hasColumn('idpessoa','integer',NULL, array('notnull'));
		$this->hasColumn('data','timestamp', NULL, array('notnull'));
		$this->hasColumn('data_desligamento','timestamp');
	}

	function validate()
	{
		$erros = array();

		if(!$this->data)
			$erros[] = 'A data de incrição no programa deve ser preenchida';

		if(!$this->data_desligamento)
			$this->data_desligamento = null;

		if($erros)
			throw new Exception(implode("\n",$erros));
	}

	function setUp()
	{
		$this->hasOne('Pessoa as pessoa',
			array('local'=>'idpessoa',
			      'foreign'=>'id'));

		$this->hasOne('Programa as programa',
			array('local'=>'idprograma',
			      'foreign'=>'id'));

		$this->hasMany('Comparecimento as comparecimentos',
			array('local'=>'idinscricao_programa',
				  'foreign'=>'idcomparecimento',
				  'refClass'=>'ComparecimentoPrograma'));
	}
};

?>
